﻿using System;
using System.Windows.Forms;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.WinForms;

namespace _9164
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            winformsMap1.MapUnit = GeographyUnit.DecimalDegree;

            LayerOverlay layerOverlay = new LayerOverlay();

            WmsRasterLayer wms = new WmsRasterLayer(new Uri("https://www.gebco.net/data_and_products/gebco_web_services/web_map_service/mapserv"));
            wms.ActiveLayerNames.Add("GEBCO_LATEST_2");
            wms.ActiveStyleNames.Add("default");
            wms.Crs = "EPSG:4326";
            wms.OutputFormat = "image/png";
            wms.Exceptions = "XML";

            wms.SendingWebRequest += Wms_SendingWebRequest;
            
            layerOverlay.Layers.Add(wms);

            winformsMap1.Overlays.Add(layerOverlay);

            winformsMap1.CurrentExtent = new ThinkGeo.MapSuite.Shapes.RectangleShape(-180, 90, 360, -90);
            winformsMap1.Refresh();
        }

        private void Wms_SendingWebRequest(object sender, SendingWebRequestEventArgs e)
        {   
            System.Diagnostics.Debug.WriteLine(e.WebRequest.RequestUri.ToString(););
        }
    }
}
